Bug 31473 - RPM 4.0.2 src.rpm does not support m68k
Summary: RPM 4.0.2 src.rpm does not support m68k
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-12 04:28 UTC by Jason Duerstock
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-05 12:48:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix bug (640 bytes, patch)
2001-03-12 04:30 UTC, Jason Duerstock
no flags Details | Diff

Description Jason Duerstock 2001-03-12 04:28:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; MSNIA; Windows 98)


m68k architecture detected as 'unknown' when building rpm from its .src.rpm

Reproducible: Always
Steps to Reproduce:
1. rpm -ivh rpm-4.0.2-0.40.src.rpm
2. rpm -ba SPECS/rpm.spec
3. wait for smoking ruin
	

Actual Results:  architecture is detected as 'unknown'

Expected Results:  architecture should be 'm68k'

Comment 1 Jason Duerstock 2001-03-12 04:30:05 UTC
Created attachment 12388 [details]
patch to fix bug

Comment 2 Jeff Johnson 2001-03-12 16:14:19 UTC
There's more to do than just create the directory.

What is the output of "uname -a"?

What is the output of config.guess?



Comment 3 Jason Duerstock 2001-03-12 16:34:52 UTC
uname -a
Linux iifx 2.2.18 #1 Fri Jan 5 01:51:11 EST 2001 m68k unknown
./config.guess
m68k-unknown-linux-gnu

Comment 4 Jeff Johnson 2001-05-30 20:59:53 UTC
Patch applied in rpm-4.0.3 something ...


Note You need to log in before you can comment on or make changes to this bug.